%define         commit f8ce834c

Name:           gksu-polkit
Version:        0.0.3
Release:        8.git%{commit}%{?dist}
Summary:        Command line utility to run programs as root
License:        LGPLv3+
URL:            http://live.gnome.org/gksu

# There is no other download source
Source0:        %{name}-%{version}-git%{commit}.tar.bz2
Source1:        %{name}.service
Source99:       %{name}-git-checkout.sh
Patch0:         %{name}-dbus.patch
Patch1:         %{name}-%{version}-policy.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  dbus-glib-devel
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libgee06-devel
BuildRequires:  libtool
BuildRequires:  polkit-devel
BuildRequires:  startup-notification-devel
BuildRequires:  vala

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%if 0%{?fedora} == 17
Requires(postun):   systemd-units
%endif

%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
Requires(postun):   systemd
%endif

%description
This is a library and application used to ask the user for passwords to run
programs as root.

%package libs
Summary:        Libraries for %{name}

%description libs
Libraries for software which uses %{name}.

%package libs-devel
Summary:        Development libraries and headers for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description libs-devel
Development libraries and headers for %{name}-libs.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1

%build
autoreconf -v -f --install
%configure
make

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete
mkdir -p %{buildroot}/%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}/%{_unitdir}/gksu.service

# Currently no translations available, although we have a po folder

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%if 0%{?fedora} == 16 || 0%{?fedora} == 17

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :

%endif

%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7

%postun
%systemd_postun

%endif

%files
%{_bindir}/%{name}
%{_datadir}/dbus-1/system-services/org.gnome.Gksu.service
%{_datadir}/%{name}-1/environment/common.variables
%{_datadir}/polkit-1/actions/org.gnome.gksu.policy
%{_sbindir}/gksu-server
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_unitdir}/gksu.service

%files libs
%doc COPYING README THANKS TODO
%{_libdir}/lib%{name}.so.*

%files libs-devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}-1.pc

%changelog
* Sun Jul 21 2013 Simone Caronni <negativo17@gmail.com> - 0.0.3-8.gitf8ce834c
- Update to git snapshot, add script to recreate tarball.
- Fix Patch1, was creating a patch file and not patching files.
- Add fix to service file from  Jan Pokorný (#975541).

* Tue Jun 11 2013 Simone Caronni <negativo17@gmail.com> - 0.0.3-7
- Fix systemd service file (#948613).
- SPEC file formatting.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 15 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-4
- Added full systemd support via dbus

* Fri Aug 10 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-3
- Removed find_lang macro, should be readded once there are real po files

* Thu Aug 09 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-2
- Changed the libs requirement for the base package
- The ldconfig commands point now to the libs instead of the main package
- Disable rpath

* Sun Jul 29 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-1
- Initial version
